Pular para o conteúdo principal
GET
/
characters
/api/v1/characters
curl --request GET \
  --url https://api.venice.ai/api/v1/characters \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "adult": false,
      "author": "k3x9q",
      "createdAt": "2024-12-20T21:28:08.934Z",
      "description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
      "featured": false,
      "id": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "name": "Alan Watts",
      "shareUrl": "https://venice.ai/c/alan-watts",
      "photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
      "slug": "alan-watts",
      "stats": {
        "averageRating": 4.7,
        "imports": 112,
        "ratingCount": 24,
        "ratingSum": 113,
        "userRating": 123
      },
      "tags": [
        "AlanWatts",
        "Philosophy",
        "Buddhism",
        "Taoist",
        "Hindu"
      ],
      "updatedAt": "2025-02-09T03:23:53.708Z",
      "webEnabled": true,
      "modelId": "venice-uncensored-1-2"
    }
  ],
  "object": "list"
}

Endpoint experimental

Este é um endpoint experimental e pode estar sujeito a alterações.

Coleção do Postman

Para exemplos adicionais, consulte esta coleção do Postman.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemplo:
["roleplay", "philosophy"]
isAdult
enum<string>

Filter by adult content flag

Opções disponíveis:
true,
false
Exemplo:

"false"

isPro
enum<string>

Filter to only show characters using pro models

Opções disponíveis:
true,
false
Exemplo:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

Opções disponíveis:
true,
false
Exemplo:

"true"

limit
integer
padrão:50

Number of characters to return (max: 100)

Intervalo obrigatório: 0 < x <= 100
Exemplo:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
Exemplo:
["zai-org-glm-5-1", "kimi-k2-6"]
offset
integer | null
padrão:0

Number of characters to skip for pagination

Intervalo obrigatório: x >= 0
Exemplo:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
Exemplo:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

Opções disponíveis:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
Exemplo:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

Opções disponíveis:
asc,
desc
Exemplo:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
Exemplo:
["helpful", "productivity"]

Resposta

OK

data
object[]
obrigatório
object
enum<string>
obrigatório
Opções disponíveis:
list